from fastapi import FastAPI
from fastapi.openapi.docs import get_swagger_ui_html, get_redoc_html


app = FastAPI(title="END PLAY Photos", docs_url=None, redoc_url=None, version="0.2")


@app.get("/docs", include_in_schema=False)
async def custom_swagger_ui_html():
    return get_swagger_ui_html(
        openapi_url=app.openapi_url,  # type: ignore
        title=app.title + " - Documentation",
        swagger_favicon_url="/favicon.ico",
    )


@app.get("/redoc", include_in_schema=False)
async def custom_redoc_html():
    return get_redoc_html(
        openapi_url=app.openapi_url,  # type: ignore
        title=app.title + " - Documentation",
        redoc_favicon_url="/favicon.ico",
    )
