from modules.utils import configGet
from pymongo import MongoClient, GEOSPHERE

db_config = configGet("database")

if db_config["user"] is not None and db_config["password"] is not None:
    con_string = "mongodb://{0}:{1}@{2}:{3}/{4}".format(
        db_config["user"],
        db_config["password"],
        db_config["host"],
        db_config["port"],
        db_config["name"],
    )
else:
    con_string = "mongodb://{0}:{1}/{2}".format(
        db_config["host"], db_config["port"], db_config["name"]
    )

db_client = MongoClient(con_string)

db = db_client.get_database(name=db_config["name"])

collections = db.list_collection_names()

for collection in ["users", "albums", "photos", "videos", "tokens", "emails"]:
    if not collection in collections:
        db.create_collection(collection)

col_users = db.get_collection("users")
col_albums = db.get_collection("albums")
col_photos = db.get_collection("photos")
col_videos = db.get_collection("videos")
col_tokens = db.get_collection("tokens")
col_emails = db.get_collection("emails")

col_photos.create_index([("location", GEOSPHERE)])
